Blueproximity GUI won't start

Help
2011-06-19
2013-06-29
  • I just installed Blueproximity onto Ubuntu 11.04, configured it, then closed it. It started locking the screen with the phone 3 inches away from the Bluetooth adapter. So I went to open it up to change settings and the GUI won't start. Tried to run it from the CLI and got this:

    Using config file 'standard.conf'.
    /usr/share/blueproximity/proximity.py:186: GtkWarning: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
      self.wTree = gtk.glade.XML(self.gladefile)
    

    What does this mean and how do I fix it?

     
  • Carl Hughes
    Carl Hughes
    2011-07-02

    same issue here - any help appreciated.  If I look in System Monitor the process appears with Waiting Channel set to do_wait.  Do I need to change this?

     
  • Same issue Subscribing

     
  • uhai
    uhai
    2011-11-10

    me too.

    Ubuntu 11.04 - not able to config, no tray. Is it a mutter-problem? please help - got no plan….

    uhai

     
  • Belzal
    Belzal
    2011-11-26

    I have the same problem and I would really like to know how to solve it!

     
  • uhai
    uhai
    2012-01-29

    logged in as guest - the gui appears. Semm to be a problem within the user-profile…

    uhai

     

  • Anonymous
    2012-07-25

    A quick note, you can get the original settings window to open by deleting ~/.blueproximity folder. You can do that by opening file browser, pressing ctrl+h(this is in Nautilus), and deleting the (originally hidden) folder.  "Joni Hanski, 06-06-2012"

     
  • aidan
    aidan
    2013-06-29

    'standard.conf' is not a valid config file.
    Traceback (most recent call last):
    File "/usr/share/blueproximity/proximity.py", line 1274, in <module>
    config = ConfigObj(os.path.join(conf_dir, _('standard') + '.conf'),{'create_empty':True,'file_error':False,'configspec':conf_specs})
    File "/usr/lib/python2.7/dist-packages/configobj.py", line 1230, in init
    self._load(infile, configspec)
    File "/usr/lib/python2.7/dist-packages/configobj.py", line 1320, in _load
    raise error
    configobj.ConfigObjError: Parsing failed with several errors.
    First error at line 1.

    Any help is appreciated!